All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
BuiltinFunctionList.h File Reference

### (6de6cc3b438610bf03b2bec44a3d7c61f90e3165)

`#include <qore/common.h>`
`#include <qore/Restrictions.h>`
`#include <qore/QoreThreadLock.h>`
`#include <stdarg.h>`
Include dependency graph for BuiltinFunctionList.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | BuiltinFunctionList
| the interface to the global list of all builtin functions in the library More...

## Variables

DLLEXPORT BuiltinFunctionList | builtinFunctions
| old interface to the compeltely-removed builtin function list; now functions are stored in namespaces More...

## Detailed Description

This header file is completely deprecated as of Qore 0.8.4. All functions are now stored in namespaces (QoreNamespace).

The functions defined in this header have been modified to try to add functions to the current "Qore" namespace - if no program is available, then the functions will be added to the staticSystemNamespace

## Variable Documentation

DLLEXPORT BuiltinFunctionList builtinFunctions

old interface to the compeltely-removed builtin function list; now functions are stored in namespaces

Deprecated:
  use QoreNamespace functions instead